# H245_GenericTransportParameters Class Reference

`#include <h245.h>`

Inheritance diagram for H245_GenericTransportParameters:

List of all members.

## Public Types

enum | OptionalFields { e_nonStandardData, e_averageRate, e_burst, e_peakRate, e_maxPktSize }

## Public Member Functions

| H245_GenericTransportParameters (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H245_NonStandardParameter | m_nonStandardData
PASN_Integer | m_averageRate
PASN_Integer | m_burst
PASN_Integer | m_peakRate
PASN_Integer | m_maxPktSize

## Member Enumeration Documentation

enum H245_GenericTransportParameters::OptionalFields

Enumerator:

  e_nonStandardData |
  e_averageRate |
  e_burst |
  e_peakRate |
  e_maxPktSize |

## Constructor & Destructor Documentation

H245_GenericTransportParameters::H245_GenericTransportParameters | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H245_GenericTransportParameters::GetDataLength | ( |  | ) | const

PBoolean H245_GenericTransportParameters::Decode | ( | PASN_Stream & | strm | ) |

void H245_GenericTransportParameters::Encode | ( | PASN_Stream & | strm | ) | const

void H245_GenericTransportParameters::PrintOn | ( | ostream & | strm | ) | const

Comparison H245_GenericTransportParameters::Compare | ( | const PObject & | obj | ) | const

PObject* H245_GenericTransportParameters::Clone | ( |  | ) | const

## Member Data Documentation

H245_NonStandardParameter H245_GenericTransportParameters::m_nonStandardData

PASN_Integer H245_GenericTransportParameters::m_averageRate

PASN_Integer H245_GenericTransportParameters::m_burst

PASN_Integer H245_GenericTransportParameters::m_peakRate

PASN_Integer H245_GenericTransportParameters::m_maxPktSize

The documentation for this class was generated from the following file:

- h245.h